UpdateInformationMart - PUT
|
Path |
/api/projects/{projectId}/informationmarts/{imId} |
|---|---|
|
Http Method |
PUT |
Overview
Required permissions
-
Write access to the Distribute module. Distribute WRITE
Request
Request body
JSON
{
"schema": "im",
"name": "My InformationMart",
"businessDescription": "business description",
"technicalDescription": "tech description",
"prefix": "prefix",
"snapshotId": "bdc559dd-bf03-4e1c-b2b8-c724b80da1d3"
}
Response
Success response (200 OK)
JSON
{
"name": "My InformationMart",
"id": "e7be5369-ad0f-4c18-a850-e4840a581d17",
"entityType": "InformationMart",
"businessDescription": "business description",
"technicalDescription": "tech description",
"schema": "im",
"prefix": "prefix",
"scriptsCount": 3,
"snapshotId": "bdc559dd-bf03-4e1c-b2b8-c724b80da1d3"
}